/************************************************************************************
* Funcionamiento de datimepicker --> rqNuevo.blade.php
*************************************************************************************/
$(function () {
    //Date picker
    $('#reservationdate').datetimepicker({
        format: 'L'
    });
})
/************************************************************************************
* Funcionamiento de datimepicker --> rqAgregarVB.blade.php
*************************************************************************************/
$(function () {
    //Date picker
    $('#reservationdate2').datetimepicker({
        format: 'L'
    });
})
/************************************************************************************
* Funcionamiento de datimepicker --> rqAgregarOC.blade.php
*************************************************************************************/
$(function () {
    //Date picker
    $('#reservationdate3').datetimepicker({
        format: 'L'
    });
})
/************************************************************************************
* Guardar requisicion --> requisicionNuevo.blade.php
*************************************************************************************/
$("#btnGuardarRequisicion").click(function () {

    var ArrayInputs = [
        '#rq_siteNombre',
        '#rq_personaNombre',
        '#rq_numero',
        '#rq_articulo',
        '#rq_fecha',        
    ];

    var ResultadoValidacion = ValidarVista(ArrayInputs);

    if (ResultadoValidacion != false && ResultadoValidacion == true) {

        var rq_siteNombre       = $("#rq_siteNombre option:selected").text();
        var rq_personaNombre    = $("#rq_personaNombre option:selected").text();         
        var rq_numero           = $('#rq_numero').val();
        var rq_articulo         = $('#rq_articulo').val();
        var rq_fecha            = $('#rq_fecha').val();    
      

        $.ajax({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            type: "POST",
            url: '/GuardarRequisicion',
            data: {

                'rq_siteNombre' : rq_siteNombre,                      
                'rq_personaNombre' : rq_personaNombre,	          
                'rq_numero' : rq_numero,	          
                'rq_articulo' : rq_articulo,               
                'rq_fecha' : rq_fecha,                            
            },

            success: function (data) {

                if (data == true){
                    
                    swal("Registrado con exito", {
                        icon: "success",

                      }).then(function() {
                        //alert(data);
                        window.location.href = "/ListarRequisiciones";
                        });
                }else{
                    swal("Oops!", "Ocurrio un problema", "error");
                }
            },
            error: function (data) {
                //alert(data);
                swal("Uy!", "Creo que algo salio mal, vuelve a intentar", "error");
            },
        });

    }

});
/************************************************************************************
* Agregar VB --> rqAgregarVB.blade.php
*************************************************************************************/
$("#btnAgregarVB").click(function () {

    var ArrayInputs = [
        '#rq_proveedorVB',
        '#rq_comentarioVB',
        '#rq_fechaVB',        
    ];

    var ResultadoValidacion = ValidarVista(ArrayInputs);

    if (ResultadoValidacion != false && ResultadoValidacion == true) {
               
        var rq_id           = $('#rq_id').val();
        var rq_proveedorVB  = $('#rq_proveedorVB').val();
        var rq_comentarioVB = $('#rq_comentarioVB').val();
        var rq_fechaVB      = $('#rq_fechaVB').val();    
      

        $.ajax({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            type: "POST",
            url: '/RegistrarVB',
            data: {

                'rq_id' : rq_id,                      
                'rq_proveedorVB' : rq_proveedorVB,	          
                'rq_comentarioVB' : rq_comentarioVB,	          
                'rq_fechaVB' : rq_fechaVB,                                                         
            },

            success: function (data) {

                if (data == true){
                    
                    swal("Registrado con exito", {
                        icon: "success",

                      }).then(function() {
                        //alert(data);
                        window.location.href = "/ListarRequisiciones";
                        });
                }else{
                    swal("Oops!", "Ocurrio un problema", "error");
                }
            },
            error: function (data) {
                //alert(data);
                swal("Uy!", "Creo que algo salio mal, vuelve a intentar", "error");
            },
        });

    }

});
/************************************************************************************
* Agregar OC --> rqAgregarOC.blade.php
*************************************************************************************/
$("#btnAgregarOC").click(function () {

    var ArrayInputs = [
        '#rq_numeroOC',
        '#rq_fechaOC',        
    ];

    var ResultadoValidacion = ValidarVista(ArrayInputs);

    if (ResultadoValidacion != false && ResultadoValidacion == true) {

        var rq_id       = $('#rq_id').val();       
        var rq_numeroOC = $('#rq_numeroOC').val();
        var rq_fechaOC  = $('#rq_fechaOC').val();        
      

        $.ajax({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            type: "POST",
            url: '/RegistrarOC',
            data: {

                'rq_id' : rq_id,
                'rq_numeroOC' : rq_numeroOC,                      
                'rq_fechaOC' : rq_fechaOC,	                                               
            },

            success: function (data) {

                if (data == true){
                    
                    swal("Registrado con exito", {
                        icon: "success",

                      }).then(function() {
                        //alert(data);
                        window.location.href = "/ListarRequisiciones";
                        });
                }else{
                    swal("Oops!", "Ocurrio un problema", "error");
                }
            },
            error: function (data) {
                //alert(data);
                swal("Uy!", "Creo que algo salio mal, vuelve a intentar", "error");
            },
        });

    }

});
/************************************************************************************
* Finalizar RQ --> rqAFinalizar.blade.php
*************************************************************************************/
$("#btnFinalizarRQ").click(function () {

    var ArrayInputs = [
        '#rq_comentarioFin',        
    ];

    var ResultadoValidacion = ValidarVista(ArrayInputs);

    if (ResultadoValidacion != false && ResultadoValidacion == true) {

        var rq_id               = $('#rq_id').val();  
        var rq_comentarioFin    = $('#rq_comentarioFin').val();             

        $.ajax({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            type: "POST",
            url: '/FinalizarRQ',
            data: {

                'rq_id' : rq_id,
                'rq_comentarioFin' : rq_comentarioFin,                
            },

            success: function (data) {

                if (data == true){
                    
                    swal("Registrado con exito", {
                        icon: "success",

                      }).then(function() {
                        //alert(data);
                        window.location.href = "/ListarRequisiciones";
                        });
                }else{
                    swal("Oops!", "Ocurrio un problema", "error");
                }
            },
            error: function (data) {
                //alert(data);
                swal("Uy!", "Creo que algo salio mal, vuelve a intentar", "error");
            },
        });

    }

});
/************************************************************************************
* Funcion para validar campos vacios en alguna vista
* Recibe un array de inputs
*************************************************************************************/
function ValidarVista(parametro) {

    var validacion = true;
    for (i = 0; i < parametro.length; i++) {
        //alert(parametro[i]);

        if ($(parametro[i]).val() == "") {
            $(parametro[i]).addClass("is-invalid");
            validacion = false;
        }
        else { $(parametro[i]).removeClass("is-invalid"); };
    }
    //alert(parametro);
    return validacion;
}
